<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [switchCity](./bitburner.bladeburner.switchcity.md)

## Bladeburner.switchCity() method

Travel to another city in Bladeburner.

**Signature:**

```typescript
switchCity(city: CityName): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

city


</td><td>

[CityName](./bitburner.cityname.md)


</td><td>

Name of city. Case-sensitive


</td></tr>
</tbody></table>

**Returns:**

boolean

true if successful, and false otherwise

## Remarks

RAM cost: 4 GB

Attempts to switch to the specified city (for Bladeburner only).

Returns true if successful, and false otherwise

